This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 23828

Summary: Define API to query/filter library contents
Product: java Reporter: Svata Dedic <sdedic>
Component: UnsupportedAssignee: _ pkuzel <pkuzel>
Status: CLOSED FIXED    
Severity: blocker Keywords: API
Priority: P1    
Version: 3.x   
Hardware: PC   
OS: Linux   
Issue Type: TASK Exception Reporter:
Bug Depends on: 23800    
Bug Blocks: 23798, 23818    

Description Svata Dedic 2002-05-22 09:59:36 UTC
The API should allow to obtain a ClassPath from a
library, or other domain-specific services (the
module that defines the service must ensure that
it is registered somehow).
The API may be already covered by ClassPath API,
and/or other generic lookup APIs such as Lookup or
JNDI; but that is yet to be proven.
Comment 1 Svata Dedic 2002-05-22 10:19:26 UTC
Adjusting milestone for planning
Comment 2 _ pkuzel 2003-05-19 14:06:11 UTC
Library has Lookup getLookup() method. It's a proxy lookup that merges
all items provided by all respective library content contributors.

Particular content of the lookup is given by providing module. The
module often is also a client of that content. Other modules can use
it if the module exports content class as its API.
Comment 3 Jan Becicka 2003-11-25 14:03:56 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 4 Jan Becicka 2003-11-25 14:13:05 UTC
---> CLOSED